# -*- coding: utf-8 -*-
import sys
import pygtk
if sys.platform != 'win32':
    pygtk.require('2.0')
import gtk

from resource import *


#
#
class IndexingDialog:
    '''
    '''
    def __init__(self):
        '''
        '''
        # ダイアログを生成
        self.dlog = gtk.Dialog('Indexing format',
                               None,
                               gtk.DIALOG_MODAL,
                               (gtk.STOCK_OK, gtk.RESPONSE_OK))
        self.dlog.set_border_width(5)
        self.dlog.set_resizable(False)
        self.dlog.set_position(gtk.WIN_POS_CENTER)
        
        hbox = gtk.HBox()

        label = gtk.Label('Format :')
        hbox.pack_start(label, False, False, 4)

        self.entry = gtk.Entry()
        self.entry.set_text('%d')
        hbox.pack_start(self.entry, False, False, 4)
        self.dlog.vbox.pack_start(hbox, False, False, 4)

        self.check = gtk.CheckButton('Keep the file extention of source.')
        self.check.set_active(True)
        self.dlog.vbox.pack_start(self.check, False, False, 4)
        
        # ダイアログの表示
        self.dlog.show_all()

    def get_text(self):
        '''
        入力されているテキストを取得
        '''
        return self.entry.get_text()

    def get_keep_extention(self):
        '''
        拡張子を保持するかどうかの設定を取得
        '''
        return self.check.get_active()

    def run(self):
        '''
        ダイアログのイベントループ開始
        '''
        return self.dlog.run()

    def destroy(self):
        '''
        ダイアログの破棄
        '''
        self.dlog.destroy()

if __name__ == '__main__':
    dlg = IndexingDialog()
    dlg.run()
    print dlg.get_text()
    dlg.destroy()
