# -*- coding: utf-8 -*-

import sys
import pygtk
if sys.platform != 'win32':
    pygtk.require('2.0')
import gtk


#
# 例外発生時のメッセージダイアログを表示する。
def show_exception_message(errno, message, strerror):
    '''
    例外メッセージを表示する。
    '''
    # メッセージ文字列を作る
    text = 'Error (%s) %s\n\nMessage:\n  %s' % (errno,
                                                strerror,
                                                message)
    # ダイアログを表示
    msgDlg = gtk.MessageDialog(parent=None,
                               flags=gtk.DIALOG_MODAL,
                               type=gtk.MESSAGE_ERROR,
                               buttons=gtk.BUTTONS_CLOSE,
                               message_format=text)
    msgDlg.set_position(gtk.WIN_POS_CENTER)
    msgDlg.set_size_request(300, -1)

    # ダイアログを表示
    response = msgDlg.run()
    msgDlg.destroy()

#
#
if __name__ == '__main__':
    show_exception_message('errno',
                           'message',
                           'strerror')

