# -*- coding: utf-8 -*-


FCP_RES_STR_ABOUT_TITLE = 'About this tool'
FCP_RES_STR_EXTENSION_SELECT_TITLE = 'Select file extension'
FCP_RES_STR_TOOL_NAME = 'pyFCP'
FCP_RES_STR_TOOL_VERSION = '0.8.0'
FCP_RES_STR_TOOL_COPYRIGHT = 'Copyright(c) 2007 jkani4'
FCP_RES_IMG_TOOL_ICON = 'img/AboutIcon.png'

FCP_RES_STR_CONFIRM_SAVE_BF_EXIT = 'Do you want to save before quitting?'
FCP_RES_STR_CONFIRM_SAVE_BF_NEW = 'Do you want to save before reseting current window?'
FCP_RES_STR_CONFIRM_CLEAR_DEST = 'Are you sure to clear destination setting?'

FCP_RES_STR_PATH_PREFERENCE = './.pyfcprc'
FCP_RES_STR_LOG_NAME = 'pyfcp-errors'

FCP_MAIN_MENU = '''
<ui>
    <menubar name = "MenuBar">
        <menu action = "File">
            <menuitem action = "New..."/>
            <menuitem action = "Open..."/>
            <menuitem action = "Save..."/>
            <menuitem action = "Save as..."/>
            <menuitem action = "Exit"/>
        </menu>

        <menu action = "Edit">
            <menuitem action = "Choose source files..."/>
            <menuitem action = "Remove source files"/>
            <menuitem action = "Choose destination directory..."/>
            <menuitem action = "Indexing destination files..."/>
            <menuitem action = "Clear destination directory..."/>
            <menuitem action = "Swap srouce/destination path"/>
            <menuitem action = "Replace path string..."/>
        </menu>

        <menu action = "Run">
            <menuitem action = "Start"/>
            <menuitem action = "Cancel"/>
        </menu>
                        
        <menu action = "Selection">
            <menuitem action = "Source files which include extension..."/>
            <menuitem action = "Source files which does not include extension..."/>
            <menuitem action = "Select all"/>
            <menuitem action = "Toggle selection"/>
            <menuitem action = "Unselect all"/>            
        </menu>

        <menu action = "View">
            <menuitem action = "Expand all"/>
            <menuitem action = "Collapse all"/>
        </menu>

        <menu action = "Option">
            <placeholder name = "OptDirectorySetting">
                <menu action = "Directory settings">
                    <menuitem action = "Keep file dialog directory"/>
                    <menuitem action = "Save file dialog directory as default"/>
                </menu>
            </placeholder>
                
            <placeholder name = "OptWindowSetting">
                <menu action = "Window settings">
                    <menuitem action = "Save window position"/>
                    <menuitem action = "Save window size"/>
                </menu>
            </placeholder>

            <placeholder name = "OptViewSetting">
                <menu action = "View settings">
                    <menuitem action = "Always expand source when it appended"/>
                    <menuitem action = "Select appended rows"/>
                    <menuitem action = "Draw tree lines"/>
                    <menuitem action = "Show toolbar"/>
                </menu>
            </placeholder>

            <placeholder name = "OptLogSetting">
                <menu action = "Log settings">
                    <menuitem action = "Export error log file"/>
                    <menuitem action = "Export error log file in append mode"/>
                </menu>
            </placeholder>
                
            <menuitem action = "Save option..."/>
            <menuitem action = "Other settings..."/>
        </menu>

        <menu action = "Help">
            <menuitem action = "About this tool..."/>
        </menu>
    </menubar>
</ui>
'''

