# -*- coding: utf-8 -*-
import sys
import pygtk
if sys.platform != 'win32':
    pygtk.require('2.0')
import gtk

from resource import *


#
#
class AboutDialog:
    '''
    '''
    def __init__(self):
        '''
        '''
        # ダイアログを生成
        self.dlog = gtk.Dialog(FCP_RES_STR_ABOUT_TITLE,
                               None,
                               gtk.DIALOG_MODAL,
                               (gtk.STOCK_OK, gtk.RESPONSE_OK))
        self.dlog.set_size_request(300, 110)
        self.dlog.set_resizable(False)
        self.dlog.set_position(gtk.WIN_POS_CENTER)

        hbox = gtk.HBox(False)
        widget = self.make_tool_image()
        hbox.pack_start(widget, False, False, 4)
        
        widget = self.make_tool_info()
        hbox.pack_start(widget, False, False, 4)

        self.dlog.vbox.pack_start(hbox)
        
        # ダイアログの表示
        self.dlog.show_all()

    def make_tool_info(self):
        base = gtk.VBox()
        
        hbox = gtk.HBox()
        
        vbox = gtk.VBox()
        label = gtk.Label('Tool Name :')
        label.set_alignment(0.0, 0.5)
        vbox.pack_start(label, False, False, 4)

        label = gtk.Label('Tool Version :')
        label.set_alignment(0.0, 0.5)
        vbox.pack_start(label, False, False, 4)
        hbox.pack_start(vbox, False, False, 4)

        vbox = gtk.VBox()
        label = gtk.Label(FCP_RES_STR_TOOL_NAME)
        label.set_alignment(0.0, 0.5)
        vbox.pack_start(label, False, False, 4)
        
        label = gtk.Label(FCP_RES_STR_TOOL_VERSION)
        label.set_alignment(0.0, 0.5)
        vbox.pack_start(label, False, False, 4)
        hbox.pack_start(vbox, False, False, 4)

        base.pack_start(hbox)

        label = gtk.Label(FCP_RES_STR_TOOL_COPYRIGHT)
        base.pack_start(label, False, False, 4)

        return base

    def make_tool_image(self):
        img = gtk.Image()
        img.set_from_file(FCP_RES_IMG_TOOL_ICON)

        fixed = gtk.Fixed()
        fixed.set_size_request(66, 66)
        fixed.put(img, 0, 0)

        return fixed

    def run(self):
        return self.dlog.run()

    def destroy(self):
        self.dlog.destroy()

if __name__ == '__main__':
    dlg = AboutDialog()
    dlg.run()
    dlg.destroy()
