# -*- coding: utf-8 -*-
import sys
import pygtk
if sys.platform != 'win32':
    pygtk.require('2.0')
import gtk

from resource import *


#
#
class SingleEntryDialog:
    '''
    '''
    def __init__(self, title, entryLabel, text=None):
        '''
        '''
        # ダイアログを生成
        self.dlog = gtk.Dialog(title,
                               None,
                               gtk.DIALOG_MODAL,
                               (gtk.STOCK_OK, gtk.RESPONSE_OK))
        self.dlog.set_border_width(5)
        self.dlog.set_resizable(False)
        self.dlog.set_position(gtk.WIN_POS_CENTER)

        hbox = gtk.HBox()

        if entryLabel == None or len(entryLabel) == 0:
            entryLabel = 'Text : '
        label = gtk.Label(entryLabel)
        hbox.pack_start(label, False, False, 4)

        self.entry = gtk.Entry()
        if text == None or len(text) == 0:
            text = '%d'
        self.entry.set_text(text)
        hbox.pack_start(self.entry, False, False, 4)
        
        self.dlog.vbox.pack_start(hbox, False, False, 4)
        
        # ダイアログの表示
        self.dlog.show_all()

    def get_text(self):
        '''
        入力されているテキストを取得
        '''
        return self.entry.get_text()
    
    def run(self):
        '''
        ダイアログのイベントループ開始
        '''
        return self.dlog.run()

    def destroy(self):
        '''
        ダイアログの破棄
        '''
        self.dlog.destroy()

if __name__ == '__main__':
    dlg = SingleEntryDialog('index format',
                            'Format : ')
    dlg.run()
    print dlg.get_text()
    dlg.destroy()
