# -*- coding: utf-8 -*-
import sys
import os.path

import pygtk
if sys.platform != 'win32':
    pygtk.require('2.0')
import gtk
import gobject

#
#
class FileFilterListModel:
    '''
    ファイルフィルタリスト用のデータモデルクラス
    '''
    def __init__(self, filters=[]):
        '''
        初期化
        '''
        self.store = gtk.ListStore(gobject.TYPE_STRING,
                                   gobject.TYPE_PYOBJECT)

        self.set_filters(filters)

    def get_model(self):
        '''
        リストモデルを取得する。
        '''
        return self.store
    
    def set_filters(self, filters):
        '''
        '''
        if filters == None:
            return

    def append_filters(self, filters):
        '''
        '''
        if filters == None:
            return
#
#
class FileFilterDispModel:
    '''
    '''
    def construct_view(self, model):
        '''
        初期化
        '''
        # ツリービューの生成
        tree = gtk.TreeView(model)
        tree.set_rules_hint(True)

        cellConfs = [('Filter Name', self.on_name_edited),
                     ('Filter Strings', self.on_filter_str_edited)]

        for i, confs in enumerate(cellConfs):
            cName, func = conf
            render = gtk.CellRenderText()
            render.set_property('editable', True)
            render.connect('edited', func)

            col = gtk.TreeViewColumn(cName, render, text=i)
            col.set_resizable(True)
            tree.append_column(col)
            
        return tree
    
    def on_name_edited(self, render, path, newText, model):
        '''
        '''
        if model == None:
            return
        model[path][0] = newText

    def on_name_edited(self, render, path, newText, model):
        '''
        '''
        if model == None:
            return
        
